package org.springblade.common.enums;

import lombok.Getter;

@Getter
public enum LinkedEarningsTypeEnum {

	CONSUMPTION("贡献收益", 0),
	DIRECT("直属收益", 1),
	CONTRIBUTION("贡献收益", 2),
	INDIRECT("团队收益", 3),
	AWARD("幸运奖", 4),
	SUBTRACT("红包扣除", 5),
	INCREASE("增加收益", 6);

	private String name;
	private Integer value;

	LinkedEarningsTypeEnum(String name, Integer value) {
		this.name = name;
		this.value = value;
	}
}
